Click or drag to resize

BrepCreateFromLoft Method (IEnumerableCurve, Point3d, Point3d, Boolean, Boolean, BrepTrim, BrepTrim, LoftType, Boolean)

Constructs one or more Breps by lofting through a set of curves, optionally matching start and end tangents of surfaces when first and/or last loft curves are surface edges

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public static Brep[] CreateFromLoft(
	IEnumerable<Curve> curves,
	Point3d start,
	Point3d end,
	bool StartTangent,
	bool EndTangent,
	BrepTrim StartTrim,
	BrepTrim EndTrim,
	LoftType loftType,
	bool closed
)

Parameters

curves
Type: System.Collections.GenericIEnumerableCurve
The curves to loft through. This function will not perform any curve sorting. You must pass in curves in the order you want them lofted. This function will not adjust the directions of open curves. Use Curve.DoDirectionsMatch and Curve.Reverse to adjust the directions of open curves. This function will not adjust the seams of closed curves. Use Curve.ChangeClosedCurveSeam to adjust the seam of closed curves.
start
Type: Rhino.GeometryPoint3d
Optional starting point of loft. Use Point3d.Unset if you do not want to include a start point. "start" and "StartTangent" cannot both be true.
end
Type: Rhino.GeometryPoint3d
Optional ending point of loft. Use Point3d.Unset if you do not want to include an end point. "end and "EndTangent" cannot both be true.
StartTangent
Type: SystemBoolean
If StartTangent is true and the first loft curve is a surface edge, the loft will match the tangent of the surface behind that edge.
EndTangent
Type: SystemBoolean
If EndTangent is true and the first loft curve is a surface edge, the loft will match the tangent of the surface behind that edge.
StartTrim
Type: Rhino.GeometryBrepTrim
BrepTrim from the surface edge where start tangent is to be matched
EndTrim
Type: Rhino.GeometryBrepTrim
BrepTrim from the surface edge where end tangent is to be matched
loftType
Type: Rhino.GeometryLoftType
type of loft to perform.
closed
Type: SystemBoolean
true if the last curve in this loft should be connected back to the first one.

Return Value

Type: Brep
Constructs a closed surface, continuing the surface past the last curve around to the first curve. Available when you have selected three shape curves.
See Also